Page MenuHomePhabricator

Watchlist Expiry: Enable feature for Group 1 pilot wikis [Start: Sept 28/29]
Closed, ResolvedPublic2 Estimated Story PointsWed, Oct 7

Description

As a Watchlist Expiry user, I want the feature to be enabled on the Group 1 wikis detailed below, so that a broad range of users can share feedback before the Group 2 release

Acceptance Criteria:

  • Following the completion of the release to group 0 (T261249), enable Watchlist Expiry for Metawiki, Enwikisource, Enwikivoyag, Enwikiversity, Eswiktionary, Eswikisource, Eswikivoyage, Hewiki, Hewikisource, Hewiktionary, and Dewikisource
  • Confirm that translations exist for wiki languages

Event Timeline

ifried created this task.Aug 14 2020, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2020, 9:09 PM
ifried renamed this task from Watchlist Expiry: enable feature on Officewiki [placeholder] to Watchlist Expiry: Enable feature for Group 0.Aug 25 2020, 7:24 PM
ifried updated the task description. (Show Details)
ifried renamed this task from Watchlist Expiry: Enable feature for Group 0 to Watchlist Expiry: Enable feature for Group 1 pilot wikis.Aug 25 2020, 7:26 PM
ifried updated the task description. (Show Details)
ifried updated the task description. (Show Details)Aug 25 2020, 7:29 PM
ifried updated the task description. (Show Details)Sep 10 2020, 4:48 PM
ifried updated the task description. (Show Details)Sep 10 2020, 5:19 PM
ifried added a subscriber: Samwilson.

@Samwilson Do we know if we have translations yet for the language wikis that we plan to release to in group 1? We're pinging you, since we know that you know how to check :)

ARamirez_WMF set the point value for this task to 2.Sep 10 2020, 5:21 PM
ARamirez_WMF moved this task from To Be Estimated/Discussed to Estimated on the Community-Tech board.
ifried renamed this task from Watchlist Expiry: Enable feature for Group 1 pilot wikis to Watchlist Expiry: Enable feature for Group 1 pilot wikis [Start: Sept 21].Sep 10 2020, 10:32 PM

Not for many of them it looks like. Taking the watchlist-expiry-options message for example:

ab	-- [not translated yet]
ak	-- [not translated yet]
am	-- [not translated yet]
ang	-- [not translated yet]
ast	-- Permanentemente:infinite,1 selmana:1 week,1 mes:1 month,3 meses:3 months,6 meses:6 months
as	-- [not translated yet]
av	-- [not translated yet]
ay	-- [not translated yet]
bi	-- [not translated yet]
bm	-- [not translated yet]
bo	-- [not translated yet]
ch	-- [not translated yet]
co	-- [not translated yet]
cr	-- [not translated yet]
dz	-- [not translated yet]
ga	-- [not translated yet]
gn	-- [not translated yet]
got	-- [not translated yet]
gu	-- [not translated yet]
ht	-- [not translated yet]
hu	-- Végtelen:infinite,1 hét:1 week,1 hónap:1 month,3 hónap:3 months,6 hónap:6 months
ie	-- [not translated yet]
ik	-- [not translated yet]
kk	-- [not translated yet]
kn	-- [not translated yet]
ks	-- [not translated yet]
kw	-- [not translated yet]
lb	-- [not translated yet]
ln	-- [not translated yet]
lv	-- [not translated yet]
mi	-- [not translated yet]
mn	-- [not translated yet]
my	-- [not translated yet]
nah	-- [not translated yet]
na	-- [not translated yet]
nds	-- [not translated yet]
pi	-- [not translated yet]
ps	-- [not translated yet]
qu	-- [not translated yet]
rm	-- [not translated yet]
sc	-- [not translated yet]
sd	-- [not translated yet]
se	-- [not translated yet]
sn	-- [not translated yet]
su	-- [not translated yet]
sw	-- [not translated yet]
th	-- ถาวร:infinite,1 สัปดาห์:1 week,1 เดือน:1 month,3 เดือน:3 months,6 เดือน:6 months
tk	-- [not translated yet]
to	-- [not translated yet]
tw	-- [not translated yet]
uz	-- [not translated yet]
vo	-- [not translated yet]
wa	-- [not translated yet]
xh	-- [not translated yet]
yo	-- [not translated yet]
za	-- [not translated yet]
zu	-- [not translated yet]

Sorry! I should learn to read. :-) All the pilot languages are translated already:

en	-- Permanent:infinite,1 week:1 week,1 month:1 month,3 months:3 months,6 months:6 months
es	-- Permanente:infinite,una semana:1 week,un mes:1 month,tres meses:3 months,seis meses:6 months
he	-- לתמיד:infinite,שבוע:1 week,חודש:1 month,שלושה חודשים:3 months,שישה חודשים:6 months
de	-- Dauerhaft:infinite,1 Woche:1 week,1 Monat:1 month,3 Monate:3 months,6 Monate:6 months
ifried added a comment.EditedSep 10 2020, 11:14 PM

Phew! Well, I'm glad we at least have translations for Spanish, Hebrew, and German. Thank you, @Samwilson!

As for the other languages, is there anything we can do to encourage folks to begin translating?

ifried renamed this task from Watchlist Expiry: Enable feature for Group 1 pilot wikis [Start: Sept 21] to Watchlist Expiry: Enable feature for Group 1 pilot wikis [Start: Sept 28/29].Sep 23 2020, 12:11 AM
ARamirez_WMF set Due Date to Wed, Oct 7, 4:00 AM.Sep 25 2020, 9:27 PM
ARamirez_WMF changed the subtype of this task from "Task" to "Deadline".

Change 630653 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable watchlist expiry feature

https://gerrit.wikimedia.org/r/630653

Change 630951 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[operations/mediawiki-config@master] Enable watchlist expiry feature (wikisource)

https://gerrit.wikimedia.org/r/630951

Change 630653 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable watchlist expiry feature

https://gerrit.wikimedia.org/r/630653

Change 630951 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable watchlist expiry feature (wikisource)

https://gerrit.wikimedia.org/r/630951

Mentioned in SAL (#wikimedia-operations) [2020-09-29T23:13:40Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: bc6dda2885906b2561c757b4ac54c90c052b8df0: Enable watchlist expiry feature (T260461) (duration: 00m 58s)

Mentioned in SAL (#wikimedia-operations) [2020-09-29T23:19:36Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 68d7af9cb38de09b4cb8655f0b095b60d470fbbc: Enable watchlist expiry feature (wikisource; T260461) (duration: 00m 58s)

ifried closed this task as Resolved.Wed, Sep 30, 8:29 PM

The Watchlist Expiry has been deployed to all wikis listed in this ticket. I'm marking this work as Done.